import SimpleOpenNI.*;
SimpleOpenNI kinect;

void setup() {
  size(640, 480);
  kinect = new SimpleOpenNI(this);
  kinect.enableRGB();
  kinect.enableDepth();
  kinect.setMirror(true);
  kinect.alternativeViewPointDepthToImage();
  kinect.enableUser(SimpleOpenNI.SKEL_PROFILE_ALL);
}

void draw() {
  background(255);
  kinect.update();
  int[] userMap = null;
  int userCount = kinect.getNumberOfUsers();
  if (userCount > 0) {
    userMap = kinect.getUsersPixels(SimpleOpenNI.USERS_ALL);
  }
  loadPixels();
  for (int y=0; y<kinect.rgbHeight(); y++){
    for (int x=0; x<kinect.rgbWidth(); x++){
      int i = x + y * kinect.rgbWidth();
      if (userMap != null && userMap[i] > 0)
      pixels[i]=kinect.rgbImage().pixels[i];
    }
  }
  updatePixels();
}

